import { CorePlayer, SourceWithMimeType, QualityLevel } from '.';
import { Source } from '../types';
export interface SourceWithDetail extends SourceWithMimeType {
    width: number;
    height: number;
    bitrate: number;
}
export declare class BasePlayer extends CorePlayer<SourceWithDetail> {
    private _video;
    private _currentLevelIndex;
    private _nextLevelIndex;
    private _startLevelIndex;
    private _capLevelToPlayerSize;
    private _changeQualityDisposable;
    private _sources;
    constructor(_video: HTMLVideoElement, sources: Source[]);
    protected get levels(): SourceWithDetail[];
    protected get currentLevel(): SourceWithDetail | undefined;
    protected get nextLevel(): SourceWithDetail | undefined;
    protected get autoQualityEnabled(): boolean;
    protected levelToQuality(source: SourceWithDetail): QualityLevel;
    protected findLevelIndexByQualityLevel(playLevel: QualityLevel): number;
    protected setAutoQualityState(auto: boolean): void;
    setInitialBitrate(bitrate: number): void;
    protected setNextLevelIndex(index: number): void;
    protected onInit(video: HTMLVideoElement, source: SourceWithMimeType): void;
    /** FIXME cap level safe begin */
    setCapLevelToPlayerSize(capLevelToPlayerSize: boolean): void;
    get capLevelToPlayerSize(): boolean;
    /** FIXME cap level safe end */
    get bandwidthEstimate(): number;
    get name(): string;
    get supportAutoQuality(): boolean;
}
