import { CorePlayer, SourceWithMimeType, QualityLevel } from '.';
import { MediaPlayerFactory, BitrateInfo } from 'dashjs';
export declare class DashPlayer extends CorePlayer<BitrateInfo> {
    static setDefaultMediaPlayerFactory(factory: MediaPlayerFactory): void;
    private static _mediaPlayerFactory;
    /** currently only support video media type */
    private readonly _mediaType;
    private readonly _fastSwitchEnabled;
    private _dashPlayer;
    private _currentLevelIndex;
    constructor(video: HTMLVideoElement, source: SourceWithMimeType, fastSwitch?: boolean, capLevelToPlayerSize?: boolean);
    private debugError;
    protected get levels(): BitrateInfo[];
    protected get currentLevel(): BitrateInfo | undefined;
    protected get nextLevel(): BitrateInfo | undefined;
    protected get autoQualityEnabled(): boolean;
    protected levelToQuality(bitrateInfo: BitrateInfo): QualityLevel;
    protected findLevelIndexByQualityLevel(playLevel: QualityLevel): number;
    protected setAutoQualityState(auto: boolean): void;
    protected setNextLevelIndex(index: number): void;
    protected onInit(video: HTMLVideoElement, source: SourceWithMimeType): void;
    setInitialBitrate(bitrate: number): void;
    setCapLevelToPlayerSize(capLevelToPlayerSize: boolean): void;
    get capLevelToPlayerSize(): boolean;
    get bandwidthEstimate(): number;
    get name(): string;
    get supportAutoQuality(): boolean;
}
