import { Level } from 'hls.js';
import { CorePlayer, SourceWithMimeType, QualityLevel } from '.';
export declare class HlsPlayer extends CorePlayer<Level> {
    private _hlsPlayer?;
    private _nextLevel;
    private readonly _fastSwitchEnabled;
    private _initialBitrateMutable;
    constructor(video: HTMLVideoElement, source: SourceWithMimeType, fastSwitch?: boolean, capLevelToPlayerSize?: boolean);
    protected get levels(): Level[];
    protected get currentLevel(): Level | undefined;
    protected get nextLevel(): Level | undefined;
    protected get autoQualityEnabled(): boolean;
    protected levelToQuality(hlsLevel: Level): QualityLevel;
    protected findLevelIndexByQualityLevel(playLevel: QualityLevel): number;
    protected setAutoQualityState(auto: boolean): void;
    protected setNextLevelIndex(index: number): void;
    protected onInit(video: HTMLVideoElement, source: SourceWithMimeType): void;
    setInitialBitrate(bitrate: number): void;
    setCapLevelToPlayerSize(capLevelToPlayerSize: boolean): void;
    get capLevelToPlayerSize(): boolean;
    get bandwidthEstimate(): number;
    get name(): string;
    get supportAutoQuality(): boolean;
}
