import { CorePlayer, QualityLevel, SourceWithMimeType } from '.';
import shaka from 'shaka-player';
import { Emitter, Event } from '@newstudios/common';
export declare class ShakaPlayer extends CorePlayer<shaka.extern.Track> {
    private _fastSwitch;
    private _capLevelToPlayerSize;
    private static readonly _fixed;
    private _shakaPlayer;
    private _nextTrack;
    private _videoSizeObserverTimer;
    private _initialBitrateMutable;
    private _videoWidth;
    private _videoHeight;
    private _maxWidth;
    private _maxHeight;
    private _bufferMutable;
    protected readonly _onVideoLevelSwitched: Emitter<void>;
    readonly onVideoLevelSwitched: Event<void>;
    constructor(video: HTMLVideoElement, source: SourceWithMimeType, _fastSwitch?: boolean, _capLevelToPlayerSize?: boolean);
    private debugError;
    private startObserveVideoSize;
    private videoSizeHandler;
    private get devicePixelRatio();
    private stopObserveVideoSize;
    get name(): string;
    get supportAutoQuality(): boolean;
    get bandwidthEstimate(): number;
    setInitialBitrate(bitrate: number): void;
    setCapLevelToPlayerSize(capLevelToPlayerSize: boolean): void;
    get capLevelToPlayerSize(): boolean;
    protected get levels(): shaka.extern.Track[];
    protected get currentLevel(): shaka.extern.Track | undefined;
    protected get nextLevel(): shaka.extern.Track | undefined;
    protected get autoQualityEnabled(): boolean;
    protected levelToQuality(level: shaka.extern.Track): QualityLevel;
    protected findLevelIndexByQualityLevel(playLevel: QualityLevel): number;
    protected setAutoQualityState(auto: boolean): void;
    protected setNextLevelIndex(index: number): void;
    protected onInit(video: HTMLVideoElement, source: SourceWithMimeType): void;
}
